Package org.eclipse.net4j

# Interface ILocationAware

All Known Subinterfaces:
  `IChannel`, `IChannelMultiplexer`, `IConnector`, `IJVMChannel`, `IJVMConnector`, `InternalChannel`, `InternalChannelMultiplexer`, `InternalConnector`, `IProtocol<INFRA_STRUCTURE>`, `IProtocol2<INFRA_STRUCTURE>`, `IProtocol3<INFRA_STRUCTURE>`, `IServerConnector`, `ISignalProtocol<INFRA_STRUCTURE>`, `ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>`, `ITCPConnector`, `IWSConnector`

All Known Implementing Classes:
  `AuthenticatingSignalProtocol`, `Channel`, `ChannelMultiplexer`, `Connector`, `HeartBeatProtocol`, `HeartBeatProtocol.Server`, `Protocol`, `SignalProtocol`

public interface ILocationAware
A concept that has a `location` in a `client`/`server` scenario.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ILocationAware.Location`
A `location` in a `client`/`server` scenario.

## Method Summary

Modifier and Type
Method
Description
`ILocationAware.Location`
`getLocation()`
Returns the location of this object in a `client`/`server` scenario.
`boolean`
`isClient()`
Same as ``getLocation()` == `ILocationAware.Location.CLIENT``.
`boolean`
`isServer()`
Same as ``getLocation()` == `ILocationAware.Location.SERVER``.

## Method Details

### getLocation

ILocationAware.Location getLocation()
Returns the location of this object in a `client`/`server` scenario.

### isClient

boolean isClient()
Same as ``getLocation()` == `ILocationAware.Location.CLIENT``.

### isServer

boolean isServer()
Same as ``getLocation()` == `ILocationAware.Location.SERVER``.